minput_lookup(3m17n)

NAME
minput_lookup - Look up a text produced in the input context.

SYNOPSIS
int minput_lookup (MInputContext * ic, MSymbol key, void * arg, MText * mt)

DESCRIPTION
Look up a text produced in the input context.

The minput_lookup() function looks up a text in the input context ic. key must be identical to the one that was used in the previous call of minput_filter().

If a text was produced by the input method, it is concatenated to M-text mt.

This function calls MInputDriver::lookup.

RETURN VALUE

    If key was correctly handled by the input method, this function returns 0. Otherwise, it returns -1, even though some text might be produced in mt.

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.